0 Replies Latest reply on Jan 16, 2006 11:37 AM by Tom Cunningham

    JSP Errors?

    Tom Cunningham Newbie

      All of our JSP's start with HTML-style JSP scriptlet code (example):
      <%@ page session="true"%>
      <%@ page import="javax.naming.*"%>
      <%@ page contentType="text/html; charset=UTF-8"%>
      <%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
      <%@ taglib prefix="c" uri="http://java.sun.com/jstl/core"%>
      <%@ taglib prefix="sql" uri="http://java.sun.com/jstl/sql"%>

      I am using JBOSSIDE-1.5 (final) and every time I edit a JSP, I get an error on it saying that "The markup in the document preceding the root element must be well-formed". It gives me this error on any page import, taglib, etc. and I didn't have this problem on JBOSSIDE-1.5RC2. Any ideas?

      Also, none of my JSP's show this problem until I actually edit them. Is there any way to fix this problem, or to remove the JSP editor, which appears to be locked?